Skip to main content
PUT
/
public
/
v1
/
fixed-assets
/
{record_number}
/
Update fixed asset
curl --request PUT \
  --url https://api.dualentry.com/public/v1/fixed-assets/{record_number}/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "company_id": 123,
  "name": "<string>",
  "exchange_rate": 123,
  "purchase_date": "2023-12-25",
  "cost": 123,
  "asset_account_number": 123,
  "expense_account_number": 123,
  "accumulation_account_number": 123,
  "depreciation_start_date": "2023-12-25",
  "serial_number": "",
  "memo": "",
  "status": "active",
  "vendor_id": 123,
  "customer_id": 123,
  "fixed_asset_class_id": 123,
  "useful_life": 123,
  "salvage_value": 123,
  "depreciation_frequency": "monthly",
  "acceleration_factor": "1.0",
  "accumulated_beginning_balance": "0",
  "accumulated_through": "2023-12-25",
  "custom_schedule": [
    {
      "value": 123,
      "period_count": 123
    }
  ],
  "record_status": "posted",
  "address": {
    "street": "<string>",
    "city": "<string>",
    "postal_code": "<string>",
    "state": "",
    "country": "",
    "second_line": "",
    "name": "<string>"
  },
  "classifications": [],
  "source_lines": []
}
'
import requests

url = "https://api.dualentry.com/public/v1/fixed-assets/{record_number}/"

payload = {
"company_id": 123,
"name": "<string>",
"exchange_rate": 123,
"purchase_date": "2023-12-25",
"cost": 123,
"asset_account_number": 123,
"expense_account_number": 123,
"accumulation_account_number": 123,
"depreciation_start_date": "2023-12-25",
"serial_number": "",
"memo": "",
"status": "active",
"vendor_id": 123,
"customer_id": 123,
"fixed_asset_class_id": 123,
"useful_life": 123,
"salvage_value": 123,
"depreciation_frequency": "monthly",
"acceleration_factor": "1.0",
"accumulated_beginning_balance": "0",
"accumulated_through": "2023-12-25",
"custom_schedule": [
{
"value": 123,
"period_count": 123
}
],
"record_status": "posted",
"address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"classifications": [],
"source_lines": []
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_id: 123,
name: '<string>',
exchange_rate: 123,
purchase_date: '2023-12-25',
cost: 123,
asset_account_number: 123,
expense_account_number: 123,
accumulation_account_number: 123,
depreciation_start_date: '2023-12-25',
serial_number: '',
memo: '',
status: 'active',
vendor_id: 123,
customer_id: 123,
fixed_asset_class_id: 123,
useful_life: 123,
salvage_value: 123,
depreciation_frequency: 'monthly',
acceleration_factor: '1.0',
accumulated_beginning_balance: '0',
accumulated_through: '2023-12-25',
custom_schedule: [{value: 123, period_count: 123}],
record_status: 'posted',
address: {
street: '<string>',
city: '<string>',
postal_code: '<string>',
state: '',
country: '',
second_line: '',
name: '<string>'
},
classifications: [],
source_lines: []
})
};

fetch('https://api.dualentry.com/public/v1/fixed-assets/{record_number}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "internal_id": 123,
  "number": 123,
  "company_id": 123,
  "company_name": "<string>",
  "name": "<string>",
  "serial_number": "<string>",
  "exchange_rate": "<string>",
  "purchase_date": "2023-12-25",
  "memo": "<string>",
  "cost": "<string>",
  "asset_account_number": 123,
  "expense_account_number": 123,
  "accumulation_account_number": 123,
  "created_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "updated_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "vendor_id": 123,
  "vendor_name": "<string>",
  "customer_id": 123,
  "customer_name": "<string>",
  "fixed_asset_class_id": 123,
  "useful_life": 123,
  "salvage_value": "<string>",
  "depreciation_start_date": "2023-12-25",
  "accumulated_beginning_balance": "<string>",
  "accumulated_through": "2023-12-25",
  "custom_schedule": [
    {
      "value": "<string>",
      "period_count": 123
    }
  ],
  "classifications": [],
  "source_lines": []
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_number
integer
required

Body

application/json
company_id
integer
required
name
string
required
currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
required
purchase_date
string<date>
required
cost
required
asset_account_number
integer
required
expense_account_number
integer
required
accumulation_account_number
integer
required
depreciation_method
enum<string>
required
Available options:
straight_line,
straight_line_prorate_even,
declining_balance,
double_declining,
macrs_gds,
macrs_ads,
custom
depreciation_start_date
string<date>
required
convention
enum<string>
required
Available options:
mid_month,
half_month,
full_month,
mid_quarter,
half_year,
full_year
serial_number
string
default:""
memo
string
default:""
status
enum<string>
default:active

Only Active and Inactive can be set by users; Disposed and Fully Amortized are system-managed.

Available options:
active,
inactive,
disposed,
fully_amortized
vendor_id
integer | null
customer_id
integer | null
fixed_asset_class_id
integer | null
useful_life
integer | null
salvage_value
depreciation_frequency
enum<string>
default:monthly
Available options:
monthly,
yearly
acceleration_factor
default:1.0
accumulated_beginning_balance
default:0
accumulated_through
string<date> | null
property_class
enum<integer> | null

IRS MACRS GDS property classes. Value stored as integer (27.5-year → 27).

Available options:
3,
5,
7,
10,
15,
20,
27,
39
ads_recovery_period
enum<integer> | null

IRS MACRS ADS recovery period in years (straight-line). Used for ADS table lookups.

Available options:
3,
4,
5,
6,
7,
9,
10,
12,
15,
18,
20,
25,
30,
35,
40,
50
custom_schedule
CustomDepreciationScheduleItemIn · object[] | null
custom_schedule_type
enum<string> | null
Available options:
cost_percentage,
net_book_value_percentage,
fixed_amount,
net_book_value_amount
record_status
enum<string>
default:posted
Available options:
draft,
posted,
archived
address
AddressSchemaIn · object | null
classifications
RecordClassificationsSchemaOut · object[]
source_lines
FixedAssetSourceIn · object[]

Response

OK

internal_id
integer
required
number
integer
required
company_id
integer
required
company_name
string
required
name
string
required
serial_number
string
required
currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,16}0*$
purchase_date
string<date>
required
memo
string
required
cost
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
status
enum<string>
required
Available options:
active,
inactive,
disposed,
fully_amortized
record_status
enum<string>
required
Available options:
draft,
posted,
archived
asset_account_number
integer
required
expense_account_number
integer
required
accumulation_account_number
integer
required
created_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

vendor_id
integer | null
vendor_name
string | null
customer_id
integer | null
customer_name
string | null
fixed_asset_class_id
integer | null
useful_life
integer | null
salvage_value
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
depreciation_method
enum<string> | null
Available options:
straight_line,
straight_line_prorate_even,
declining_balance,
double_declining,
macrs_gds,
macrs_ads,
custom
depreciation_start_date
string<date> | null
convention
enum<string> | null
Available options:
mid_month,
half_month,
full_month,
mid_quarter,
half_year,
full_year
depreciation_frequency
enum<string> | null
Available options:
monthly,
yearly
accumulated_beginning_balance
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
accumulated_through
string<date> | null
custom_schedule
CustomDepreciationScheduleItemOut · object[] | null
custom_schedule_type
enum<string> | null
Available options:
cost_percentage,
net_book_value_percentage,
fixed_amount,
net_book_value_amount
classifications
RecordClassificationsSchemaOut · object[]
source_lines
PublicFixedAssetSourceOut · object[]
Last modified on July 13, 2026